package spi;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.text.spi.DateFormatProvider;
import java.util.Locale;

public class DateFormatProviderImpl extends DateFormatProvider {
    // Antarctica locale 
    private Locale antarctica = new Locale("en", "AQ");

    public Locale[] getAvailableLocales() {
        return new Locale[] {antarctica};
    }

    // All styles return the same format: HH.mm.ss   
    public DateFormat getTimeInstance(int style, Locale locale) {
        if (locale.equals(antarctica)) {
            return new SimpleDateFormat("HH.mm.ss");
        }
        return null;
    }

    // All styles return the same format: yyyy.MM.dd
    public DateFormat getDateInstance(int style, Locale locale) {
        if (locale.equals(antarctica)) {
            return new SimpleDateFormat("yyyy~MM~dd");
        }
        return null;
    }
    // All styles return the same format: yyyy.MM.dd HH.mm.ss
    public DateFormat getDateTimeInstance(int dateStyle, 
            int timeStyle, Locale locale) {
        if (locale.equals(antarctica)) {
            return new SimpleDateFormat("yyyy~MM~dd HH.mm.ss");
        }
        return null;
    }
}